Bug 171661 - kernel panic starting installer
kernel panic starting installer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On: 167333
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-10-24 17:34 EDT by Jeremy Katz
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 10:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-10-24 17:34:58 EDT
The UP x86 kernel used for a while has been panic'ing on boot on my 2x3.4 ghz
em64t box.  The x86_64 kernel (which is smp) boots fine.

Backtrace with 2.6.13-1.1624_FC5

kernel BUG at arch/i386/kernel/apic.c:430!
Call trace:
init
APIC_init_uniprocessor
init
init
kernel_thread_helper
panic
do_exit
do_divide_error
do_invalid_op
do_invalid_op
setup_local_APIC
complete
kthread_create
watchdog
error_code
init
init
setup_local_APIC
init
APIC_init_uniprocessor
init
init
kernel_thread_helper
Comment 1 Jeremy Katz 2005-10-24 17:43:03 EDT
My other dual box (2x2.8 ghz p4 xen, compaq presario) boots fine.

This is on a HP xw8200.  Booting with 'linux apic' gets further, but then just
hangs after probing the IDE devices.
Comment 2 Darrick Wong 2005-10-26 19:21:21 EDT
Could you try 'linux lapic apic' to enable the local APIC and IO APIC on the
xw8200?  My x445 throws up "hda: Interrupt timeout" messages if I only enable
the IOAPICs but it boots fine if both are passed.

Also, I've submitted a patch (see RH 167333) that should keep the local APIC off
except when expressly asked for with 'lapic'.  Hopefully this problem you're
seeing will go away when that patch goes into rawhide.
Comment 3 Jeremy Katz 2005-10-27 11:10:47 EDT
That does make things work... adding bug dep
Comment 4 Dave Jones 2005-10-27 19:22:26 EDT
that patch has been in rawhide for a few days now. Does the latest tree work ?
Comment 5 Jeremy Katz 2005-10-28 10:23:34 EDT
Works with today's rawhide at least

Note You need to log in before you can comment on or make changes to this bug.